%global pypi_name qtconsole

Name:		python-%{pypi_name}
Version:	4.2.1
Release:	1%{?dist}
Summary:	Jupyter Qt console

License:	BSD
URL:		http://jupyter.org
Source0:	https://files.pythonhosted.org/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
 
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python-sphinx
BuildRequires:	python-ipython-sphinx
 
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-ipython-sphinx

%description
Qtbased console for Jupyter with support for rich media output

%package -n     python2-%{pypi_name}
Summary:	Jupyter Qt console
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:	python-traitlets
Requires:	python-jupyter_core
Requires:	python-jupyter-client >= 4.1
Requires:	python-pygments
Requires:	python-ipykernel >= 4.1
Requires:	python-setuptools


%description -n python2-%{pypi_name}
Qtbased console for Jupyter with support for rich media output

%package -n     python3-%{pypi_name}
Summary:	Jupyter Qt console
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:	python3-traitlets
Requires:	python3-jupyter_core
Requires:	python3-jupyter-client >= 4.1
Requires:	python3-pygments
Requires:	python3-ipykernel >= 4.1
Requires:	python3-setuptools


%description -n python3-%{pypi_name}
Qtbased console for Jupyter with support for rich media output

%package -n python-%{pypi_name}-doc
Summary:	qtconsole documentation
%description -n python-%{pypi_name}-doc
Documentation for qtconsole

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

# generate html docs 
sphinx-build docs/source html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
cp %{buildroot}/%{_bindir}/jupyter-qtconsole %{buildroot}/%{_bindir}/jupyter-qtconsole-3
ln -sf %{_bindir}/jupyter-qtconsole-3 %{buildroot}/%{_bindir}/jupyter-qtconsole-%{python3_version}

%py2_install
cp %{buildroot}/%{_bindir}/jupyter-qtconsole %{buildroot}/%{_bindir}/jupyter-qtconsole-2
ln -sf %{_bindir}/jupyter-qtconsole-2 %{buildroot}/%{_bindir}/jupyter-qtconsole-%{python2_version}


%files -n python2-%{pypi_name} 
%license COPYING.md
%doc README.md
%{_bindir}/jupyter-qtconsole
%{_bindir}/jupyter-qtconsole-2
%{_bindir}/jupyter-qtconsole-%{python2_version}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/*

%files -n python3-%{pypi_name} 
%license COPYING.md
%doc README.md
%{_bindir}/jupyter-qtconsole-3
%{_bindir}/jupyter-qtconsole-%{python3_version}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/*

%files -n python-%{pypi_name}-doc
%doc html 

%changelog
* Fri Aug 12 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 4.2.1-1
- Initial package.
